<?php
   if (!defined('ABSPATH')){ exit; }

   global $funden_post, $post;
   if( !$funden_post ){ return; }
   if( $funden_post->post_type != 'product' ){ return; }

   if(\Elementor\Plugin::$instance->editor->is_edit_mode()){
   }
   global $product;
   $post_id = $funden_post->ID;
   $post = $funden_post;
   $product = wc_get_product($post_id);
?>
<?php


   $end_method = get_post_meta(get_the_ID(), 'wpneo_campaign_end_method', true);
   $percent_display = $percent = wpcf_function()->get_raised_percent(); if( $percent >= 100 ){ $percent = 100; }

   $total = wpcf_function()->get_total_fund($post_id);
   $goal = wpcf_function()->get_total_goal($post_id);
   if ($total > 0 && $goal > 0) {
      $percent_display =  number_format($total / $goal * 100, 2, '.', '');
   }
   $funding_goal = get_post_meta($post_id, '_nf_funding_goal', true);

   $size = $size;
   $thickness = $thickness;
   $empty_fill = !empty($empty_fill) ? $empty_fill : '#EFF5F3';
   $color = !empty($color) ? $color : '#25B15F';

?>

<?php if($style == 'style-1'){ ?>
   <div class="tm-sc-wpcf-progress wpcf-progress-style1">
      <!-- Campaign Raised -->
      <div class="progress-raised">
         <div class="label-raised"><?php echo esc_html__('Raised: ', 'ecoife-wp') ?></div>
         <div class="value-raised"><?php echo esc_html($percent_display); ?>%</div>
      </div>
      
      <div class="tm-sc-progress-bar" data-percent="<?php echo esc_attr( $percent );?>" data-unit-right="%">
         <div class="progress-holder">
            <div class="progress-content"></div>
         </div>
      </div>
      <!-- End Campaign Raised -->

      <div class="campaign-goal">
         <span class="label-goal"><?php echo esc_html__('Goal:', 'ecoife-wp'); ?></span>
         <span class="value-goal"><?php echo wc_price( $funding_goal ); ?></span>
      </div>
   </div>
<?php } ?>

<!-- Style II -->
<?php if($style == 'style-2'){ 
   $value = $percent ? $percent/100 : 0; 
   $value = 0.5;
?>
   <div class="tm-sc-wpcf-progress wpcf-progress-style2">
      <!-- Campaign Raised -->
      <div class="progress-raised">
         <div class="label-raised"><?php echo esc_html__('Raised: ', 'ecoife-wp') ?></div>
         <div class="value-raised"><?php echo esc_html($percent_display); ?>%</div>
      </div>
      
      <div class="tm-sc-progress-bar" data-percent="<?php echo esc_attr( $percent );?>" data-unit-right="%">
         <div class="progress-holder">
            <div class="progress-content"></div>
         </div>
      </div>
      <!-- End Campaign Raised -->

      <div class="campaign-goal">
         <span class="label-goal"><?php echo esc_html__('Goal:', 'ecoife-wp'); ?></span>
         <span class="value-goal"><?php echo wc_price( $funding_goal ); ?></span>
      </div>
   </div>
<?php } ?>